- Qt 6.10
- Qt Lottie Animation
- QML Types
- Qt.labs.lottieqt.VectorImageHelpers
- LayerItem
- Qt Lottie Animation | Commercial or GPLv3

# LayerItem QML Type

An Item that provides access to its transformation matrix as a property. More...

Import Statement: | `import Qt.labs.lottieqt.VectorImageHelpers`
Since: | Qt 6.10

- List of all members, including inherited members

## Properties

- transformMatrix : matrix4x4

## Detailed Description

The LayerItem type maintains a `transformMatrix` property, which at any time will contain the combination of the item's own transform with all its ancestors' transforms. It is used in particular to support linked transforms in certain vector graphics formats. As any type in the `VectorImageHelpers` module, it is only intended to be used in code generated by VectorImage and related tools.

## Property Documentation

transformMatrix : matrix4x4

The result of combining this item's transform with the transforms of its entire ancestor chain.